Bug 859550 - does labeling for krb5 binaries account for the /usr/kerberos -> /usr move?
does labeling for krb5 binaries account for the /usr/kerberos -> /usr move?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 15:59 EDT by Nalin Dahyabhai
Modified: 2012-12-20 11:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:08:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2012-09-21 15:59:02 EDT
Description of problem:

Starting with version 1.8, when the krb5-appl package was split off from krb5 proper, we stopped needing to build krb5 with a prefix of /usr/kerberos instead of the default of /usr in order to avoid file conflicts with the non-Kerberos-aware versions of telnet, ftp, rsh, rlogin, and friends.

Looking at bug #858872 is making me wonder if we missed some policy updates.

Version-Release number of selected component (if applicable):
selinux-policy-3.11.1-21.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
1. matchpathcon /usr/kerberos/sbin/kpropd
2. matchpathcon /usr/sbin/kpropd
  
Actual results:
/usr/kerberos/sbin/kpropd	system_u:object_r:kpropd_exec_t:s0
/usr/sbin/kpropd	system_u:object_r:bin_t:s0

Expected results:
Should they produce the same result?
Comment 1 Daniel Walsh 2012-09-25 17:14:00 EDT
Fixed in selinux-policy-3.11.1-26.fc18.noarch
Comment 2 Fedora Update System 2012-10-11 05:02:34 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 3 Fedora Update System 2012-10-11 13:20:58 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 11:08:15 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.